﻿using System.Linq;
using System.Text.RegularExpressions;

namespace RegexUtils.Extensions
{
    /// <summary>
    /// Extension substrings from a given string using
    /// regular expressions.
    /// </summary>
    public static class StringRegexExtension
    {
        /// <summary>
        /// Returns all occurences that matches a regular expression
        /// in a string.
        /// </summary>
        /// <param name="value">The string to search for a match.</param>
        /// <param name="regularExpression">Regular expression.</param>
        /// <returns>Array with all occurences found.</returns>
        public static string[] ExtractStringsUsingRegex(
            this string value,
            string regularExpression)
        {
            MatchCollection mc =
                Regex.Matches(value, regularExpression);

            return (from Match m in mc
                    select m.Value).ToArray();
        }
    }
}