﻿using System;
using System.Text;
using RegexUtils.Extensions;

namespace StringRegexExtension.Tests
{
    class Program
    {
        private static void ShowResults(
            string text, string[] results)
        {
            Console.WriteLine("Content = {0}", text);

            StringBuilder strb = new StringBuilder();
            strb.Append("[ ");
            foreach (string result in results)
            {
                if (strb.Length > 2)
                    strb.Append(" , ");
                strb.Append(result);
            }
            strb.Append(" ]");

            Console.WriteLine(
                "Strings found = {0}",
                strb.ToString());
        }

        static void Main(string[] args)
        {
            string text;
            string[] results;

            text = "x=3.452 y=4521 z= 3412";
            results = text.ExtractStringsUsingRegex(@"\d+(?:\.\d+)?");
            ShowResults(text, results);

            Console.WriteLine(String.Empty);

            text = "To contact send an email to test@acme.com. If you don't get " +
                "a quick response , please send an e- mail  answers@acme.com.br.";
            results = text.ExtractStringsUsingRegex("[_A-Za-z0-9-\\+]+(\\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\\.[A-Za-z0-9]+)*(\\.[A-Za-z]{2,})");
            ShowResults(text, results);

            Console.ReadKey();
        }
    }
}